package fxKohtaushallinta;

import java.lang.ModuleLayer.Controller;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.application.Platform;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.MenuItem;
import javafx.scene.control.TextArea;
import javafx.stage.Stage;
import kohtaushallinta.Kohtaushallinta;

/**
 * @author Jussi Lipitsäinen
 * @version 21.3.2025
 * Näyttää yksittäisen kohtauksen tiedot omassa ikkunassaan.
 */
public class NaytaKohtausController implements  ModalControllerInterface<String> {

    @FXML private Button btnSulje;
    @FXML private Button btnUusiAsia;
    @FXML private Button btnUusiHahmo;
    @FXML private Label lblOtsikko;
    @FXML private MenuItem menuUusiHahmo;
    @FXML private MenuItem menuSulje;
    @FXML private MenuItem menuUusiAsia;
    @FXML private TextArea txtAreaKohtauksenKuvaus;
    @FXML private TextArea txtAreaMuistiinpanot;
    @FXML private TextArea txtAreaValitunKuvaus;

    
    @FXML void handleSulje(ActionEvent event) {
        sulje();
    }

    @FXML
    void handleUusiAsia(ActionEvent event) {
        uusiTietue(Kohtaushallinta.ASIAT);
    }

    @FXML
    void handleUusiHahmo(ActionEvent event) {
        uusiTietue(Kohtaushallinta.HAHMOT);
    }

    //======================================
    
    private void sulje() {
        tallenna();
        Platform.exit();
    }
    
    private boolean tallenna() {
        Dialogs.showMessageDialog("Tallennusta ei ole vielä toteutettu");
        return false;
    }
    
    
    private void uusiTietue(int tyyppi) {
        Dialogs.showMessageDialog("Uuden tietueen luomista ei ole vielä toteutettu");
    }
    
    
    public static void naytaKohtaus(Kohtaushallinta kh, int ind, Stage modalityStage) {
        //TODO: hae otsikko objektilta
        String otsikko = "Majatalo";
        ModalController.showModal(KohtaushallintaGUIController.class.getResource("NaytaKohtaus.fxml"),
                otsikko,
                modalityStage, null);
    }

    @Override
    public String getResult() {
        // TODO Auto-generated method stub
        return null;
    }

    @Override
    public void handleShown() {
        // TODO Auto-generated method stub
        
    }

    @Override
    public void setDefault(String oletus) {
        // TODO Auto-generated method stub
        
    }
}
