package kohtaushallinta;

import java.io.FileInputStream;
import java.io.FileWriter;

public interface TiedostoKayttaja {
    
    /**
     * Hakee Tietueiden sisällön merkkijonotaulukkona
     * @return merkkijonotaulukon
     */
    public String[] haeRivit();
    
    
    /**
     * Lukee tiedoston tiedot virtaan
     * @param fis virta, johon luetaan
     */
    public void lue(FileInputStream fis);

    
    /**
     * Kirjoittaa virran sisällön tiedostoon
     * @param fw virta, joka kirjoitetaan
     */
    public void kirjoita(FileWriter fw);

}
